Bug 998461 - Exceptions when starting eclipse, package explorer shows "Could not create the view: org.eclipse.jdt.ui.Pack"
Exceptions when starting eclipse, package explorer shows "Could not create th...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 07:23 EDT by Sandro Mani
Modified: 2013-08-28 17:27 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-28 17:27:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of "eclipse -consolelog -debug" (33.86 KB, text/plain)
2013-08-19 07:23 EDT, Sandro Mani
no flags Details
output of "eclipse -consolelog -debug" (94.97 KB, text/plain)
2013-08-20 04:55 EDT, Sandro Mani
no flags Details
output.txt (95.15 KB, text/plain)
2013-08-20 05:12 EDT, Sandro Mani
no flags Details

  None (edit)
Description Sandro Mani 2013-08-19 07:23:18 EDT
Created attachment 788011 [details]
output of "eclipse -consolelog -debug"

Description of problem:
After installing eclipse-jdt on rawhide, the eclipse package explorer shows
"Could not create the view: org.eclipse.jdt.ui.Pack"
and File->New shows "No applicable items".

Running eclipse -consolelog -debug from the command line results in the errors

The bundle "org.eclipse.equinox.console_1.0.100.v20130802-1542 [82]" could not be resolved. Reason: Missing Constraint: Import-Package: org.apache.felix.service.command; version="0.8.0"

and

Unable to resolve plug-in "platform:/plugin/org.eclipse.jdt.ui//icons/full/eview16/package.gif"

Full output is attached.

The deleting the $HOME/.eclipse directory does not make any difference.

Version-Release number of selected component (if applicable):
eclipse-jdt-4.3.0-10.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install eclipse-jdt
2. Attempt to start eclipse
3.
Comment 1 Alexander Kurtakov 2013-08-20 03:16:14 EDT
Would you please try eclipse-4.3.0-11.fc20 ? This is just a rebuild against latest dependencies in rawhide but it should fix the problem (p2 metadata out of sync).
Comment 2 Sandro Mani 2013-08-20 04:55:55 EDT
Created attachment 788385 [details]
output of "eclipse -consolelog -debug"

Thanks for the reply. This is what I get with eclipse-4.3.0-11.fc20.x86_64.
Comment 3 Alexander Kurtakov 2013-08-20 05:04:16 EDT
Can you try running eclipse -clean -consolelog -debug to force it to regenerate p2 metadata? If it doesn't help would you try `rm -fr ~/.eclipse` which will make it start without any previous information?
Comment 4 Sandro Mani 2013-08-20 05:12:45 EDT
Created attachment 788390 [details]
output.txt

Mh no luck...

[sandro@PC4 ~]$ rm -rf .eclipse/
[sandro@PC4 ~]$ eclipse -clean -consolelog -debug &> output.txt
Comment 5 Alexander Kurtakov 2013-08-20 05:18:33 EDT
Do /usr/lib64/eclipse/plugins/javax.servlet.jsp_2.2.1.jar and /usr/lib64/eclipse/plugins/org.apache.felix.gogo.runtime_0.10.0.jar symlinks exist? 
Are the symlinks broken?
Please paste the output of rpm -V felix-gogo-runtime and rpm -V glassfish-jsp-api .
Do you by any chance installed some third party rpms ?
Comment 6 Sandro Mani 2013-08-20 05:21:51 EDT
[sandro@PC4 ~]$ file /usr/lib64/eclipse/plugins/javax.servlet.jsp_2.2.1.jar
/usr/lib64/eclipse/plugins/javax.servlet.jsp_2.2.1.jar: broken symbolic link to `/usr/share/java/glassfish-jsp-api.jar'

[sandro@PC4 ~]$ file /usr/lib64/eclipse/plugins/org.apache.felix.gogo.runtime_0.10.0.jar
/usr/lib64/eclipse/plugins/org.apache.felix.gogo.runtime_0.10.0.jar: broken symbolic link to `/usr/share/java/felix/org.apache.felix.gogo.runtime.jar'

[sandro@PC4 ~]$ rpm -V felix-gogo-runtime

[sandro@PC4 ~]$ rpm -V glassfish-jsp-api

[sandro@PC4 ~]$ rpm -qa felix-gogo-runtime
felix-gogo-runtime-0.10.0-10.fc20.noarch

[sandro@PC4 ~]$ rpm -qa glassfish-jsp-api
glassfish-jsp-api-2.2.1-8.fc20.noarch

I have no java related third-party rpms installed.
Comment 7 Sandro Mani 2013-08-28 17:27:34 EDT
Seems to work now with eclipse-4.3.0-12.fc21.x86_64. Thanks!

Note You need to log in before you can comment on or make changes to this bug.